import { Ref } from "vue";
type Rule = (v?: unknown) => boolean;
type FieldElement = HTMLInputElement | HTMLSelectElement | HTMLTextAreaElement | HTMLButtonElement;
type FieldGroupElement = HTMLFormElement | HTMLFieldSetElement;
export declare function useMeta(model: Ref<unknown>, ...rules: Rule[]): {
    dirty: Ref<boolean>;
    pristine: import("vue").WritableComputedRef<boolean>;
    valid: Ref<boolean>;
    invalid: import("vue").WritableComputedRef<boolean>;
    blank: import("vue").ComputedRef<boolean>;
};
type FieldOptions = {
    field: Ref<FieldElement | undefined>;
    model?: Ref<unknown>;
    rules?: Rule[];
};
export declare function useField({ field, model, rules }: FieldOptions): {
    dirty: Ref<boolean>;
    pristine: import("vue").WritableComputedRef<boolean>;
    valid: import("vue").ComputedRef<boolean | undefined>;
    invalid: import("vue").ComputedRef<boolean>;
    touched: Ref<boolean>;
    focus: Ref<boolean>;
    blank: import("vue").ComputedRef<boolean>;
};
export declare function useFieldGroup(field: Ref<FieldGroupElement | undefined>): {
    valid: Ref<boolean | undefined>;
    dirty: Ref<boolean>;
    invalid: import("vue").WritableComputedRef<boolean>;
    pristine: import("vue").WritableComputedRef<boolean>;
};
export {};
